%{?nodejs_find_provides_and_requires}

Name:           nodejs-merge-descriptors
Version:        1.0.1
Release:        2%{?dist}
Summary:        A Node.js module to merge objects using descriptors
License:        MIT
Group:          System Environment/Libraries
URL:            https://github.com/component/merge-descriptors
Source0:        https://github.com/component/merge-descriptors/archive/%{version}/merge-descriptors-%{version}.tar.gz
BuildArch:      noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)

%description
%{summary}.


%prep
%setup -q -n merge-descriptors-%{version}


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/merge-descriptors
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/merge-descriptors
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --reporter spec --bail --check-leaks test/


%files
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/merge-descriptors


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 Tom Hughes <tom@compton.nu> - 1.0.1-1
- Update to 1.0.1 upstream release
- Enable tests

* Thu Jun 18 2015 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Update to 1.0.0 upstream release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Mar 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.2-1
- initial package
